gmetax gmetax - 1 month ago 18
C# Question

Change Target Framework to 4.0 from 4.5

I am trying to change the target framework from 4.5 to 4.0, I have changed the target framework on all of my projects and I have created a testing build with VS2015.



I am trying to run the app in WIN7 with .NET 4.0 installed but the app crashes and the errors are System.IO.FileLoadException for mscorlib.dll and PresentationFramework.dll



Does anyone know how to fix it?

More info


I have tried also:


  1. to build with vs2012 but I cannot use vs2010 because I am using async from BCL package

  2. to create new solution with new projects to target from the start 4.0 framework.


Answer

For anyone out there that may have the same problem, be sure that you have installed the latest update for .NET framework, it worked after I have installed the update kb2468871

Comments